For the complete documentation index, see llms.txt. This page is also available as Markdown.

Saved Responses

You can keep simple text Saved Responses that your Inbox Users can use separately from Templates

get

List saved responses: the reusable replies your team can insert in the hosted Inbox.

Authorizations
AuthorizationstringRequired

A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.

Query parameters
limitintegerOptional

Number of results to return per page.

offsetintegerOptional

The initial index from which to return the results.

textstringOptional

Search text in saved responses

Responses
200Success
application/json
countintegerRequiredExample: 123
nextstring · uri · nullableOptionalExample: http://api.example.org/accounts/?offset=400&limit=100
previousstring · uri · nullableOptionalExample: http://api.example.org/accounts/?offset=200&limit=100
get/api/v1/saved_responses/
GET /api/v1/saved_responses/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
200Success
{
  "count": 123,
  "next": "http://api.example.org/accounts/?offset=400&limit=100",
  "previous": "http://api.example.org/accounts/?offset=200&limit=100",
  "results": [
    {
      "id": 1,
      "text": "text",
      "created_by": 1,
      "timestamp": 1
    }
  ]
}
post

Create a saved response.

Authorizations
AuthorizationstringRequired

A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.

Body
idintegerRead-onlyRequired

Primary ID.

textstringRequired
created_byinteger · nullableRead-onlyRequired
timestampnumber · doubleRead-onlyRequired
Responses
201Success
application/json
idintegerRead-onlyRequired

Primary ID.

textstringRequired
created_byinteger · nullableRead-onlyRequired
timestampnumber · doubleRead-onlyRequired
post/api/v1/saved_responses/
POST /api/v1/saved_responses/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "text": "text"
}
201Success
{
  "id": 1,
  "text": "text",
  "created_by": 1,
  "timestamp": 1
}
delete

Delete a saved response.

Authorizations
AuthorizationstringRequired

A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.

Path parameters
idintegerRequired

A unique integer value identifying this saved response.

Responses
204

No response body

No content

delete/api/v1/saved_responses/{id}/
DELETE /api/v1/saved_responses/{id}/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
204

No response body

No content

Last updated

Was this helpful?